Sso\WebserviceBundle\Entity\Webservice\Type\Role:
    type: entity
    table: role
    id:
        Id:
            type: string
            nullable: false
            length: 64
            fixed: true
            id: true
            column: role_id
            generator:
                strategy: NONE
    fields:
        ApplicationId:
            type: string
            length: 64
            nullable: true
            column: application_id
        Lowername:
            type: string
            nullable: false
            length: 127
            fixed: false
            column: role_lowername
        Name:
            type: string
            nullable: false
            length: 127
            fixed: false
            column: role_name
        Description:
            type: string
            nullable: true
            length: 255
            fixed: false
            column: role_description
    manyToOne:
        Application:
            targetEntity: Application
            inversedBy: Roles
            joinColumn:
                name: application_id
                referencedColumnName: application_id
    oneToMany:
        UserApplicationRoles:
            targetEntity: UserApplicationRole
            mappedBy: Role
